org.springframework.data.relational.core.conversion

## Interface AggregateChange<T>

All Known Subinterfaces:
  MutableAggregateChange<T>

    public interface AggregateChange<T>

Represents the change happening to the aggregate (as used in the context of Domain Driven Design) as a whole.

Author:
  Jens Schauder, Mark Paluch

### Nested Class Summary

Nested Classes
`static class` `AggregateChange.Kind` The kind of action to be performed on an aggregate.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `forEachAction(Consumer<? super DbAction<?>> consumer)` Applies the given consumer to each `DbAction` in this `AggregateChange`.
`T` `getEntity()` The entity to which this `AggregateChange` relates.
`Class<T>` `getEntityType()` The type of the root of this `AggregateChange`.
`AggregateChange.Kind` `getKind()` Returns the `AggregateChange.Kind` of `AggregateChange` this is.

### Method Detail

#### getKind

    AggregateChange.Kind getKind()

Returns the `AggregateChange.Kind` of `AggregateChange` this is.

Returns:
  guaranteed to be not null.

#### getEntityType

    Class<T> getEntityType()

The type of the root of this `AggregateChange`.

Returns:
  Guaranteed to be not null.

#### getEntity

    @Nullable
    T getEntity()

The entity to which this `AggregateChange` relates.

Returns:
  may be null.

#### forEachAction

    void forEachAction(Consumer<? super DbAction<?>> consumer)

Applies the given consumer to each `DbAction` in this `AggregateChange`.

Parameters:
  `consumer` - must not be null.